// closure to avoid namespace collision
(function() {
    // creates the plugin
    tinymce.create('tinymce.plugins.css3_tooltips', {
        // creates control instances based on the control's id.
        // our button's id is "mygallery_button"
        init: function(ed, url) {
            ed.addButton('css3_tooltip_button', {
                title: 'Generate Tooltip Shortcode',
                image: url + '/../images/mce_tooltip.png',
                onclick: function() { 
					var width = 870;
                    var height = jQuery(window).height() - 100; 
                    ed.windowManager.open({
                        file: url + '/../form.php',
                        width: width,
                        height: height,
                        inline: 1
                    }, {
                        plugin_url: url,
                        selected: ed.selection.getContent()
                    });
                }   // end of onclick  
            }); // end of ed.addButton
        }   // end of init
    }); // end of creates

    // registers the plugin. DON'T MISS THIS STEP!!!
    tinymce.PluginManager.add('css3_tooltips', tinymce.plugins.css3_tooltips);
})();


