jQuery(document).ready(function($) {
	
	// Hide custom tag field if it's not selected in tag select field
	if($('#option_tag').val()!=='custom_tag')
		$('.custom_tag').hide();
	
	if(!$('#option_text_to_tooltips').is(':checked'))
		$('.text_to_tooltips_options').hide();
	
	$('#option_tag').on('change', function(){
		if(jQuery('#option_tag').val()==="custom_tag" && !$('.custom_tag').is(':visible')) {
			$('.custom_tag').show(700);
		} else if ($('.custom_tag').is(':visible')) {
			$('.custom_tag').hide(700);
		}
	});
	
	$('#option_text_to_tooltips').on('change', function(){
		$this = $(this);
		if($this.is(':checked')) {
			$('.text_to_tooltips_options').show(700);
			
		} else {
			$('.text_to_tooltips_options').hide(700);
		}
		
	});
	
    $("#css3_tooltips_options_panel").submit(function(event) {
		event.preventDefault();
		var form = $(this);
		var data = {
			action: form.find('#option_action').val(),
			links_to_tooltips: (form.find('#option_links_to_tooltips').is(':checked') ? '1' : '0'),
			text_to_tooltips: (form.find('#option_text_to_tooltips').is(':checked') ? '1' : '0'),
			text_to_tooltips_text: form.find('#text_to_tooltips_text').val(),
			text_to_tooltips_content: form.find('#text_to_tooltips_content').val(),
			position: form.find('#option_position').val(),
			style: form.find('#option_style').val(),
			custom_css: form.find('#option_custom_css').val(),
			custom_content_css: form.find('#option_custom_content_css').val(),
			custom_css_class: form.find('#option_custom_css_class').val(),
			width: form.find('#option_width').val(),
			tag: (form.find('#option_tag').val()!=='custom_tag' ? form.find('#option_tag').val() : form.find('#option_custom_tag').val()),
			delay: form.find('#option_delay').val(),
			cursor: form.find('#option_cursor').val(),
			event: form.find('#option_event').val()
		}
			
		$("#css3_tooltips_settings_tick").css("display", "none");
		$("#css3_tooltips_settings_preloader").css("display", "inline");
		$.ajax({
			url: ajaxurl,
			type: 'post',
			dataType: 'json',
			data: data,
			success: function(json) {
				$("#css3_tooltips_settings_preloader").css("display", "none");
				$("#css3_tooltips_settings_tick").css("display", "inline");
			}
		});
    });
});